__gnu_pbds::point_invalidation_guarantee Struct Reference
Invalidation Guarantees
Inheritance diagram for __gnu_pbds::point_invalidation_guarantee:
[legend]

## Detailed Description

Signifies an invalidation guarantee that includes all those of its base, and additionally, that any point-type iterator, pointer, or reference to a container object's mapped value type is valid as long as its corresponding entry has not be erased, regardless of modifications to the container object.

Definition at line 103 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp